Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.archiving
Class ArchivingPolicy

    java.lang.Object
      com.bea.wli.management.archiving.ArchivingPolicy

All Implemented Interfaces:
  Serializable

    public class ArchivingPolicy

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`static ArchivingPolicy` | `ARCHIVE_OFF` Disable archiving of data for a process type
`static ArchivingPolicy` | `ARCHIVE_ON` Enable archiving of data for a process type
`static ArchivingPolicy` | `DEFAULT` Use a global default when determining if data a given WF needs to be archived.
`static ArchivingPolicy` | `RELIABLE_ARCHIVING_OFF`
`static ArchivingPolicy` | `RELIABLE_ARCHIVING_ON`
`static List` | `VALUES` List of all ArchivingPolicy enumerated types.

Method Summary
`int` | `intValue()` Returns an integer representation for this ArchivingPolicy
`static ArchivingPolicy` | `toArchivingPolicy(int val)` Returns the ArchivingPolicy object whose integer representation is the given integer value.
`static ArchivingPolicy` | `toArchivingPolicy(String s)` Returns the ArchivingPolicy object whose String representation is the given String value.
`String` | `toString()` Returns string representation of this ArchivingPolicy

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ARCHIVE_ON

    public static final ArchivingPolicy ARCHIVE_ON

  Enable archiving of data for a process type

### ARCHIVE_OFF

    public static final ArchivingPolicy ARCHIVE_OFF

  Disable archiving of data for a process type

### DEFAULT

    public static final ArchivingPolicy DEFAULT

  Use a global default when determining if data a given WF needs to be archived.

### RELIABLE_ARCHIVING_ON

    public static final ArchivingPolicy RELIABLE_ARCHIVING_ON

### RELIABLE_ARCHIVING_OFF

    public static final ArchivingPolicy RELIABLE_ARCHIVING_OFF

### VALUES

    public static final List VALUES

  List of all ArchivingPolicy enumerated types.

Method Detail

### toString

    public String toString()

  Returns string representation of this ArchivingPolicy

  Overrides:
    `toString` in class `Object`

### intValue

    public int intValue()

  Returns an integer representation for this ArchivingPolicy

  See Also:
    `toArchivingPolicy(int)`

### toArchivingPolicy

    public static ArchivingPolicy toArchivingPolicy(int val)

  Returns the ArchivingPolicy object whose integer representation is the given integer value.

  Throws:
    `IllegalArgumentException` - if the integer value does not represent a valid ArchivingPolicy object.

### toArchivingPolicy

    public static ArchivingPolicy toArchivingPolicy(String s)

  Returns the ArchivingPolicy object whose String representation is the given String value.

  Throws:
    `IllegalArgumentException` - if the String value does not represent a valid ArchivingPolicy object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD